## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate du-dust

Name:           du-dust
Version:        1.2.2
Release:        %autorelease
Summary:        More intuitive version of du

License:        Apache-2.0
URL:            https://crates.io/crates/du-dust
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          du-dust-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
Patch:          du-dust-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A more intuitive version of du.}

%description %{_description}


%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/dust

%prep
%autosetup -n %{crate}-%{version} -p1
sed -i 's|use sysinfo::{System, SystemExt};|use sysinfo::System;|' src/main.rs          #sysinfo changed some syntax, patch source code to match these changes
sed -i 's|let mut system = System::new();|let system = System::new();|' src/main.rs
sed -i 's|system.refresh_all();|System::refresh_all(\&system);|' src/main.rs
sed -i 's|for disk in system.disks()|for disk in System::disks(\&system)|' src/main.rs
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jul 06 2025 jados <jados42008@gmail.com> - 1.2.2-1
- Bump du-dust to version 1.2.2

* Mon Jun 30 2025 jados <jados42008@gmail.com> - 1.2.1-1
- Initial import (fedora#2371231).
## END: Generated by rpmautospec
